//
//  FitsHeaderData.swift
//  NINA Session Analysis
//
//  Created by Jürgen Terpe on 29.03.24.
//

import Foundation

public enum FitsHeaderData: String {
	
	case BITSPERPIXEL = "BITPIX"
	case SIZEX = "NAXIS1"
	case SIZEY = "NAXIS2"
	case IMAGETYP = "IMAGETYP"
	case EXPOSURE = "EXPOSURE"
	case STARTTIME = "DATE-LOC"
	case STARTTIMEUTC = "DATE-OBS"
	case GAIN = "GAIN"
	case OFFSET = "OFFSET"
	case CAMERA = "INSTRUME"
	case CCDTEMP = "CCD-TEMP"
	case CCDSETTEMP = "SET-TEMP"
	case XPIXSZ = "XPIXSZ"
	case BAYERPATTERN = "BAYERPAT"
	case TELESCOPE = "TELESCOP"
	case FOCALLENGTH = "FOCALLEN"
	case FOCALRATIO = "FOCRATIO"
	case RA = "RA"
	case DEC = "DEC"
	case ALTITUDE = "CENTALT"
	case AZIMUTH = "CENTAZ"
	case AIRMASS = "AIRMASS"
	case PIERSIDE = "PIERSIDE"
	case OBS_ELEVATION = "SITEELEV"
	case OBS_LAT = "SITELAT"
	case OBS_LONG = "SITELONG"
	case FILTER = "FILTER"
	case TARGET = "OBJECT"
	case TARGETROTATION = "OBJCTROT"
	case OBJCTRA = "OBJCTRA"
	case OBJCTDEC = "OBJCTDEC"
	case FOCPOS = "FOCPOS"
	case FOCUSPOS = "FOCUSPOS"
	case FOCTEMP = "FOCTEMP"
	case FOCUSTEMP = "FOCUSTEM"
	case ROTATOR = "ROTATOR"
	case ROTATANG = "ROTATANG"
	case CLOUDCVR = "CLOUDCVR"
	case DEWPOINT = "DEWPOINT"
	case HUMIDITY = "HUMIDITY"
	case PRESSURE = "PRESSURE"
	case AMBTEMP = "AMBTEMP"
	case WINDDIR = "WINDDIR"
	case WINDSPD = "WINDSPD"
	case SUNANGLE = "SUNANGLE"
	case MOONANGL = "MOONANGL"
	
	case HFR = "HFR"
	case FWH = "FWHM"
	case ECCENTY = "ECCENTY"
	case MEAN = "MEAN"
	case MEDIAN = "MEDIAN"
	case ADUMIN = "ADUMIN"
	case ADUMAX = "ADUMAX"
	case NSTARS = "NSTARS"
	case RMS = "RMS"
	case RMSRA = "RMSRA"
	case RMSDEC = "RMSDEC"
}
